#! @BASH@
#
echo 1..1 # Number of tests to be executed.
#
test -n "$CDO"      || CDO="@abs_top_builddir@/src/cdo $CDO_DEBUG"
test -n "$DATAPATH" || DATAPATH="@abs_top_srcdir@/test/data/"
#
FORMAT="-f srv -b 32"
#
IFILE=$DATAPATH/pl_data
IFILES="code130.srv code152.srv code129.srv"
$CDO splitcode $IFILE code
#
NTEST=1
#
OPERATOR="merge"
#
if [ -z "$1" ] || [ $NTEST == $1 ]; then
    RSTAT=0
    RFILE=$DATAPATH/pl_data
    OFILE=merge_res

    CDOTEST="$OPERATOR"
    CDOCOMMAND="$CDO  $FORMAT $OPERATOR $IFILES $OFILE"

    echo "Running test: $NTEST"
    echo "$CDOCOMMAND"

    $CDOCOMMAND
    test $? -eq 0 || (( RSTAT+=1 ))

    $CDO  diff $OFILE $RFILE
    test $? -eq 0 || (( RSTAT+=1 ))

    test $RSTAT -eq 0 && echo "ok $NTEST - $CDOTEST"
    test $RSTAT -eq 0 || echo "not ok $NTEST - $CDOTEST"

    rm -f $OFILE $IFILES
fi
(( NTEST+=1 ))
#
exit 0
